/* scan_directory.C

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#include "system.h"
#include "scan_directory.h"

#include <glob.h>

void
scan_directory(const string &filename_glob, vector<string> &filenames) {
  glob_t globbuf;

  glob(filename_glob.c_str(), 0, NULL, &globbuf);
  for (int i = 0; i < globbuf.gl_pathc; i++) {
    filenames.push_back(globbuf.gl_pathv[i]);
  }

  globfree(&globbuf);
}

