/* playlistProxy.C

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#include "system.h"

#include "playlistProxy.h"
#include "playlist.h"

PlaylistProxy::
PlaylistProxy(Playlist *ptr) : ReferenceCountProxy(ptr) {
}

PlaylistProxy::
PlaylistProxy(const PlaylistProxy &copy) : ReferenceCountProxy(copy) {
}

PlaylistProxy &PlaylistProxy::
operator = (const PlaylistProxy &copy) {
  ReferenceCountProxy::operator = (copy);
  return *this;
}

string PlaylistProxy::
format_value(int r, int c) const {
  return get_ptr()->format_value(r, c);
}

Gtk_CList *PlaylistProxy::
make_clist() {
  return get_ptr()->make_clist();
}

Gtk_CList *PlaylistProxy::
get_clist() const {
  return get_ptr()->get_clist();
}

void PlaylistProxy::
update_clist(int row) {
  get_ptr()->update_clist(row);
}

int PlaylistProxy::
get_num_rows() const {
  return get_ptr()->get_num_rows();
}

const Playlist::Row *PlaylistProxy::
get_row(int row) const {
  return get_ptr()->get_row(row);
}

void PlaylistProxy::
popup_dialog(int row) {
  get_ptr()->popup_dialog(row);
}

TableID PlaylistProxy::
get_primary_table() const {
  return get_ptr()->get_primary_table();
}

void PlaylistProxy::
set_owns_dialogs(bool flag) {
  get_ptr()->set_owns_dialogs(flag);
}

void PlaylistProxy::
set_next_form_id(int next_form_id) {
  get_ptr()->set_next_form_id(next_form_id);
}

void PlaylistProxy::
set_cd_reader(CDReader *cd_reader) {
  get_ptr()->set_cd_reader(cd_reader);
}

CDReader *PlaylistProxy::
get_cd_reader() const {
  return get_ptr()->get_cd_reader();
}

TableDataProxy PlaylistProxy::
get_table_data(int row) {
  return get_ptr()->get_table_data(row);
}

Playlist *PlaylistProxy::
get_ptr() const {
  Playlist *ptr = (Playlist *)ReferenceCountProxy::get_ptr();
  assert(ptr != NULL);
  return ptr;
}
